Subject: bug#61184: 29.0.60; keymap-local-set and keymap-global-set became less strict

From: Daniel Mendler <[email-masked]>
Date: Mon, 30 Jan 2023 21:52:54 +0100

In patch f67a9a12b7b0cdd6030cb080a6d6838255789a08, the commands
keymap-local-set and keymap-global-set became less strict for
non-interactive use, which is not the intended the design. The goal is
that the API only accepts strings in a single format. The vector to
string conversion should happen within the interactive form.

There was an old commit by Stefan Monnier, where he relaxed the API, but
Lars made it clear back then that it is better to only accept a single
format for the keymap API, such that guidance for the user is better due
to clear error messages.